XmFileSelectionDoSearch(3Xm)

NAME
XmFileSelectionDoSearch — a FileSelectionBox function that initiates a directory search.

SYNOPSIS
#include <Xm/FileSB.h>

void XmFileSelectionDoSearch (widget, dirmask)
    Widget    widget;
    XmString    dirmask;

DESCRIPTION
XmFileSelectionDoSearch initiates a directory search. If the dirmask parameter is not NULL, the directory mask is updated before the search is initiated.

widget
    Specifies the FileSelectionBox widget ID.

dirmask
    Specifies the directory mask used in determining the files displayed in the FileSelectionBox list. This sets the XmNdirMask attribute associated with XmCreateFileSelectionBox. This is an optional attribute. If you do not specify a directory mask, the current directory mask is used.

For a complete definition of FileSelectionBox and its associated resources, see XmFileSelectionBox(3Xm).

RELATED INFORMATION
XmFileSelectionBox(3Xm).